Subject: Re: bug#60087: 29.0.60; c++-ts-mode conflict with electric-pair-mode

From: João Távora <[email-masked]>
Date: Thu, 29 Dec 2022 09:07:19 +0000

I wish that we would either re-open this bug or open a new one
to study the pairing or not-pairing of `<` and `>` with Tree-sitter
and electric-pair-mode.

One of the high hopes that I had for tree-sitter modes is that
it would help electric-pair-mode decide what to do depending
on the syntactic situation.  So it would pair < and > in template
argument lists but not when < or > are being used as
comparison operators.

I wish Stefan or Yuan Fu would comment here.

João